Bug 674615 - sandbox shows incomplete error messages from exceptions
Summary: sandbox shows incomplete error messages from exceptions
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: policycoreutils
Version: 14
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-02 16:20 UTC by Mads Kiilerich
Modified: 2011-03-19 10:26 UTC (History)
2 users (show)

Fixed In Version: policycoreutils-2.0.85-19.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-09 21:52:58 UTC


Attachments (Terms of Use)

Description Mads Kiilerich 2011-02-02 16:20:28 UTC
The following message is not very helpful and looks like a message from the shell, telling that it couldn't execute the program:
  [user@dev-mk ~]$ sandbox -X -t sandbox_web_t firefox
  /usr/bin/sandbox: Permission denied

Please change /usr/bin/sandbox so it shows the full exceptions without picking individual elements from error.args.

For example use:
    except OSError, error:
           error_exit(error)
so it shows the much more helpful:
  [user@dev-mk ~]$ sandbox -X -t sandbox_web_t firefox
  /usr/bin/sandbox: [Errno 13] Permission denied: '/home/user/.sandbox/.sandboxzLocV_'

Comment 1 Daniel Walsh 2011-02-02 18:43:09 UTC
 Not sure how much more helpful but I will make the fix.

Fixed in  policycoreutils-2.0.83-33.11.fc14

Comment 2 Fedora Update System 2011-03-09 21:55:46 UTC
policycoreutils-2.0.85-19.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/policycoreutils-2.0.85-19.fc14

Comment 3 Fedora Update System 2011-03-19 10:25:46 UTC
policycoreutils-2.0.85-19.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.